
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "SegSupported.h"
#include "enum.bactypes.h"

SegSupported::SegSupported(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Supported") << tr("Accept Only") << tr("Transmit Only") << tr("Unsupported"), 0);
}

SegSupported::SegSupported(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Supported") << tr("Accept Only") << tr("Transmit Only") << tr("Unsupported"), value);
}

